Jeuxlinux - Le site des jeux pour linux - Forum

Forum francophone des jeux pour GNU/Linux

Vous n'êtes pas identifié.

#26 19-05-2007 11:57:39

Cosmoboy
Membre

Re: TA Spring : Erreur pendant scons :/

Pour cela il faut se connecter à un serveur irc je crois, s'identifier et tutti c'est comme ca sous win et a partir de la tu as toutes les parties en cours, les joueurs en  attente, leurs rangs, ect ect...

Mais sinon comment tu as fait? big_smile

Hors ligne

 

#27 19-05-2007 15:26:21

lululaglue
Administrateur

Re: TA Spring : Erreur pendant scons :/

hum bonne question ! je me rappel plus trop comment j'ai fais car j'ai avancé un peu à taton...

Si tu récupére les sources de spring par svn, tu auras un répertoire unitylobby, il faut que tu le compile, ensuite tu compile la lib unitysync.so (les sources sont présente aussi sur le svn de spring) puis tu copie unitysync.so dans le repertoire de Unitylobby.
Puis tu lance Unitylobby, tu auras une icone qui va se rajouter en trayicon, tu clic dessus et tu auras un menu pour ouvrir différentes fenêtres.

Sinon tu as aussi JLobby, qui est une appli java, idem il faut unitysync.so pour qu'il fonctionne.


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#28 20-05-2007 02:03:37

Cosmoboy
Membre

Re: TA Spring : Erreur pendant scons :/

Ok bon ben c'est mort pour moi alors. J'ai toujours ce probleme avec le dépot svn.
Durant le scons configure il me dit

Not all tests finished succesfully.  You are probably missing one of the
build dependencies.  See config.log for details

malgré le fait que le

Code:

sudo apt-get install build-essential subversion scons libsdl-dev libopenal-dev libglew-dev libboost-dev libboost-thread-dev libboost-filesystem-dev libboost-regex-dev libdevil-dev libaio-dev libjpeg-dev libfreetype6-dev python2.4-dev

me sort

0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Autrement dit j'ai toutes les dépendances mais malgré cela le scons ne veut rien savoir...je fais quoi? Je lui donne a manger?


le scons configure debug=yes

Code:

scons configure debug=yes
scons: Reading SConscript files ...

Now configuring.  If something fails, consult `config.log' for details.

Detected platform : linux
Checking gcc version... 4.1.2
profiling NOT enabled, level 3 debugging enabled, optimizing NOT enabled
Configuring spring
Checking for Freetype2...
  Checking for freetype-config... /usr/bin/freetype-config
  Checking for Freetype >= 2.0.0... 2.2.1
Checking for SDL...
  Checking for sdl-config... /usr/bin/sdl-config
  Checking for LibSDL >= 1.2.0... 1.2.11
Checking for OpenAL...
  Checking for openal-config... /usr/bin/openal-config
Checking for Python 2.4...
  Guessing Python include path... /usr/include/python2.4
Checking for Java... not found
  Guessing Java include path... /usr/include/java

Checking headers and libraries
Checking for C++ header file GL/gl.h... yes
Checking for C library GL... yes
Checking for C++ header file GL/glew.h... yes
Checking for C library GLEW... yes
Checking for C++ header file GL/glu.h... yes
Checking for C library GLU... yes
Checking for C++ header file IL/il.h... yes
Checking for C library IL... yes
Checking for C++ header file IL/ilu.h... yes
Checking for C library ILU... yes
Checking for C++ header file SDL/SDL.h... yes
Checking for C library SDL... yes
Checking for C++ header file boost/cstdint.hpp... yes
Checking for C++ header file boost/regex.hpp... yes
Checking for C library boost_regex-gcc-mt... no
Checking for C library boost_regex-mt... no
Checking for C library boost_regex-gcc... no
Checking for C library boost_regex... yes
Checking for C++ header file boost/thread.hpp... yes
Checking for C library boost_thread-gcc-mt... no
Checking for C library boost_thread-mt... no
Checking for C library boost_thread-gcc... no
Checking for C library boost_thread... yes
Checking for C++ header file ft2build.h... yes
Checking for C library freetype... yes
Checking for C++ header file jni.h... no
Could not find one of these headers: ['jni.h']
Checking for C++ header file AL/al.h... yes
Checking for C library openal... yes
Checking for C++ header file Python.h... yes
Checking for C library python2.4... yes
Checking for C++ header file zlib.h... yes
Checking for C library z... yes

Retour case départ...

Hors ligne

 

#29 20-05-2007 11:41:26

Cosmoboy
Membre

Re: TA Spring : Erreur pendant scons :/

Trouvé!

Code:

Could not find one of these headers: ['jni.h']

Il manquait un header java donc a rajouter dans la liste des dépendances free-java-sdk et la hop hop hop c'est magique le scons est en train de compiler tongue donc si vous voulez mettre vos tuto a jour (meme si je sens que je suis un cas isolé...big_smile)

Voilop je m'essaye Unitylobby juste aprés smile

Hors ligne

 

#30 17-06-2007 21:07:29

lululaglue
Administrateur

Re: TA Spring : Erreur pendant scons :/

Bon je viens de faire un installeur loki pour simplifier l'installation et le paramétrage de Spring.
Le paquet est téléchargeable ici (183mo). Ce paquet contient une selection des meilleurs maps, mods, ia dispo pour Spring, et si vous êtes sous gnome devrait vous créer l'icone dans le bon menu, normallement l'utilitaire UnityLobby, qui permet de créer/voir des parties réseaux est fonctionnel (du moin chez moi, à tester).

Contenu :
Game:    Spring v0.74b3
Mods:    Balanced Annihilation 5.4
        XTA v8.1
        Total Battle Tech 0.12
IA:    QAI v2.45
Maps:    2lakes, 4Skulls, DeltaSiegeX, silver_lake, Small_Supreme_Battlefield_V2
        Small_Supreme_Islands_v2, Tangerine-Fixed, Tropical

Pour l'instant je ne modifie pas la fiche du jeu, j'"aimerais que plusieurs personnes tests le paquet avant d'être sûr qu'il fonctionne parfaitement.

Donc si vous tester le paquet, merci de faire un petit contre-rendue à la suite de ce post wink


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#31 18-06-2007 13:31:02

JerhuM
Administrateur

Re: TA Spring : Erreur pendant scons :/

Dans le menu kde le lien spring et unitlobby ne marche pas
pour lancer spring il faut que je le lance en cmd en double clickant dessus ca ne marche pas
pour unitlobby je sais pas comment on le lance depuis un terminal
et aussi il ya pas d'icone dans le menu

Hors ligne

 

#32 18-06-2007 23:11:29

lululaglue
Administrateur

Re: TA Spring : Erreur pendant scons :/

en fait je n'ai pas kde chez moi, et j'ai un peu eu la flemme de le tester :-|

Par contre pourquoi spring ne marche pas chez toi ? normallement ça devrait fonctionner ?

Pour unitylobby c'est un peu la merde, il faut un fichier de config qui est créé lors de l'install (testé sous gnome uniquement mais ça devrait être pareil sous kde !)
aurais je encore merdé dans mon script ? :'(


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#33 19-06-2007 09:33:59

JerhuM
Administrateur

Re: TA Spring : Erreur pendant scons :/

Ben le jeu fonctionne mais en le lancant avec "./spring" . mais avec konqueror il faut lui indiquer le répertoire de travail sinon il prend par défaut le home
il faudrait mettre pour l'éxecutable dans le menu le chemin complet ou le jeu est installé ( cd /repertoire/du/jeu/ && ./spring )
sinon il me dit qu'il ne trouve pas luxi.ttf
je pense que c'est pareil pour unitlobby.

Hors ligne

 

#34 19-06-2007 20:31:27

Xiloa
Membre

Re: TA Spring : Erreur pendant scons :/

Mercide ce travail.
C'est très prometteur.

Je suis sous Suse. Spring ne marche pas , le lobby non plus. Il semble y avoir un prableme avec la video ( ce ne serait pas trop grave) . A plus

Dernière modification par Xiloa (24-06-2007 21:00:53)

Hors ligne

 

#35 17-01-2008 07:44:39

Re: TA Spring : Erreur pendant scons :/

j'ai aussi le même type de problème,sous debian lenny: gnome.

voici un fichier log de ce que j'ai passer comme commande.

http://www.panthere-noire.com/fichier/s … string.txt

je voit pas trop ce que je doit installer ?

Merci d'avance

Hors ligne

 

#36 17-01-2008 22:16:32

lululaglue
Administrateur

Re: TA Spring : Erreur pendant scons :/

Salut, tant que tu as des "no" à la phase du configure tu auras des problèmes à la compilation...

Code:

Checking for C library boost_regex-gcc-mt... no
Checking for C library boost_thread-gcc-mt... no

Vérifie que les paquets libboost-regex* et libboost-thread* soient bien installés, si oui vérifie dans /usr/lib les fichiers que tu as et si besoin fais quelques liens symboliques.

Par exemple sur mon système (archlinux, mais ça devrait être pareil sur debian) :

Code:

lrwxrwxrwx 1 root root      22 déc 28 20:17 /usr/lib/libboost_regex-gcc-mt.so -> ./libboost_regex-mt.so
-rwxr-xr-x 1 root root  569972 aoû 10 04:23 /usr/lib/libboost_regex-mt.so
lrwxrwxrwx 1 root root    23 déc 28 20:16 /usr/lib/libboost_thread-gcc-mt.so -> ./libboost_thread-mt.so
-rwxr-xr-x 1 root root 46232 aoû 10 04:23 /usr/lib/libboost_thread-mt.so

J'ai du créer les liens symboliques car ils n'existaient pas.

Code:

Checking for C++ header file vorbis/vorbisfile.h... no
Could not find one of these headers: ['vorbis/vorbisfile.h']
Checking for C library vorbis... no
Could not find one of these libraries: ['vorbis']
Checking for C++ header file ogg/ogg.h... no
Could not find one of these headers: ['ogg/ogg.h']

aptcherche lib ogg et lib vorbis tu devrais trouver des trucs à installer.

Code:

Checking for C library python2.5... no
Checking for C library python25... no

installe python2.5 smile

Code:

Checking for C++ header file jni.h... no
Could not find one of these headers: ['jni.h']

Installe le jdk sun (java-jdk-1.6.0 sous debian si ma mémoire est bonne).

A bientôt pour une tite partie big_smile


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#37 19-01-2008 18:40:24

Re: TA Spring : Erreur pendant scons :/

waip c'est bon manque j'uste python plus 2 ou trois autre paquet , je suis passer complètement par le gestionnaire de paquet et sa tourne,enfin sa compile pour le moment smile préparer vous a l'époque je me débrouillait bien, bon avec les nouvelle uniter je sai pas trop ce que sa va donner smile

Hors ligne

 

#38 19-01-2008 18:59:39

Re: TA Spring : Erreur pendant scons :/

bon petit souci :

spring-lobby-springlobby:
Dépend: libwxbase2.8-0 (>=2.8.4.0) but it is not installable
Dépend: libwxgtk2.8-0 (>=2.8.4.0) but it is not installable

je suis sous lenny je fait comment histoire de pas faire de gaff avec le source.list

edit:

sinon j'arrive sur ce truc :
http://www.panthere-noire.com/fichier/spring/1.png

et sa me sort sa http://www.panthere-noire.com/fichier/spring/2.png
quelque soit le truc choisi dans le menu.

*******************************************************************
ls -la /home/tnt/.spring
total 24
drwxr-xr-x  3 tnt tnt 4096 2008-01-19 20:13 .
drwx------ 59 tnt tnt 4096 2008-01-19 20:24 ..
-rw-r--r--  1 tnt tnt 1219 2008-01-19 20:21 ArchiveCacheV4.txt
drwxr-xr-x  2 tnt tnt 4096 2008-01-19 20:05 demos
-rw-r--r--  1 tnt tnt 3340 2008-01-19 20:21 ext.txt
-rw-r--r--  1 tnt tnt  236 2008-01-19 20:21 infolog.txt
lrwxrwxrwx  1 tnt tnt   30 2008-01-19 19:56 otacontent.sdz -> /home/jeux/base/otacontent.sdz
lrwxrwxrwx  1 tnt tnt   32 2008-01-19 19:56 tacontent_v2.sdz -> /home/jeux/base/tacontent_v2.sdz
lrwxrwxrwx  1 tnt tnt   35 2008-01-19 19:56 tatextures_v062.sdz -> /home/jeux/base/tatextures_v062.sdz
lrwxrwxrwx  1 tnt tnt   42 2008-01-19 20:10 XTAPEV93.sdz -> /home/jeux/spring_0.76b1/base/XTAPEV93.sdz

*******************************************************************

Dernière modification par panthere_noire (19-01-2008 19:27:29)

Hors ligne

 

#39 19-01-2008 19:33:28

lululaglue
Administrateur

Re: TA Spring : Erreur pendant scons :/

panthere_noire a écrit:

sinon j'arrive sur ce truc :
http://www.panthere-noire.com/fichier/spring/1.png

et sa me sort sa http://www.panthere-noire.com/fichier/spring/2.png
quelque soit le truc choisi dans le menu.

Pour pouvoir jouer, il te faut des maps et des mods, soit tu download notre pack (regarde la fiche du jeu sur le site) soit tu télécharge que les maps/mods qui t'intéresse et tu les place dans ~/.spring/maps et ~/.spring/mods

Pour ton problème de compile de springlobby j'ai pas de lenny sous la main, je regarderais demain wink


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#40 20-01-2008 23:32:33

Re: TA Spring : Erreur pendant scons :/

arf j'ai fini par trouver la sources du problème, sa suporte mal les link, je passerai par un mount a la place smile (vive linux lol)  car j'avais dédier une partition pour les jeux

pour springlobby pas de piste pour le moment

Hors ligne

 

#41 21-01-2008 01:09:50

lululaglue
Administrateur

Re: TA Spring : Erreur pendant scons :/

Ben pour springlobby il necessite des libs qui ne sont pas dans lenny, tu peux essayer d'installer celles de sid à conditions que ça n'entraine pas d'autres mises à jour.

pour cela tu modifi ton source.list et remplace lenny par sid puis:
apt-get update
apt-get -s install libwxbase2.8-0
et tu regardes quels changements ça implique, idem avec libwxgtk2.8-0.
Mais attention avec ces commandes, si ça mets à jour trop de paquets ta distrib peut devenir instable ou t'obliger à passer complétement en sid. Penses à remettre ton source.list en lenny après la manipe...

Autre solution, tu récupères les sources de ces libs et tu les installes dans un autre répertoire (par exemple /opt) ensuite tu devras préciser le chemin de ces lib lors de la compile de springlobby.


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#42 21-01-2008 11:45:13

Re: TA Spring : Erreur pendant scons :/

bon zalors sa va pas les paquet son pas disponible sad
Note le nom a changer c'est spring-lobby-springlobby
a modifier sure le tuto smile
********************************************************************
apt-get install -s spring-lobby-springlobby
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.

Puisque vous n'avez demandé qu'une seule opération, le paquet n'est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
  spring-lobby-springlobby: Dépend: libwxbase2.8-0 (>= 2.8.4.0) mais il n'est pas installable
                            Dépend: libwxgtk2.8-0 (>= 2.8.4.0) mais il n'est pas installable
E: Paquets défectueux
********************************************************************

mon source list

********************************************************************

# deb cdrom:[Debian GNU/Linux testing _Lenny_ - Official Snapshot i386 NETINST Binary-1 20070927-21:16]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux testing _Lenny_ - Official Snapshot i386 NETINST Binary-1 20070927-21:16]/ lenny contrib main

deb http://debian.mines.inpl-nancy.fr/debian/ lenny main
deb-src http://debian.mines.inpl-nancy.fr/debian/ lenny main

deb http://security.debian.org/ lenny/updates main contrib
deb-src http://security.debian.org/ lenny/updates main contrib

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free

deb http://www.debian-multimedia.org/ lenny main

#jeuxlinux
deb http://download.tuxfamily.org/shames/de … fx/stable/ ./
deb http://depot.jeuxlinux.fr/ ./

#sid
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free 
deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free 

#experimental
deb http://ftp.fr.debian.org/debian/ experimental main contrib non-free 
deb-src http://ftp.fr.debian.org/debian/ experimental main contrib non-free 

********************************************************************
les info aprrès un apt-get update
********************************************************************
# apt-cache search  libwxbase2
libwxbase2.4-1 - wxBase library (runtime) - non-GUI support classes of wxWindows toolkit
libwxbase2.4-dbg - wxBase library (debug) - non-GUI support classes of wxWindows toolkit
libwxbase2.4-dev - wxBase library (development) - non-GUI support classes of wxWindows toolkit
libwxbase2.6-0 - wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
libwxbase2.6-dbg - wxBase library (debug) - non-GUI support classes of wxWidgets toolkit
libwxbase2.6-dev - wxBase library (development) - non-GUI support classes of wxWidgets toolkit

********************************************************************
donc vala quoi sad

sinon l'ia du jeux est vraiment balèze je touche pas une bille  lol

Hors ligne

 

#43 21-01-2008 22:54:32

lululaglue
Administrateur

Re: TA Spring : Erreur pendant scons :/

Houlala c'est quoi ce source.list ? tu as à la fois du lenny, du sid et du experimental...
Je sais pas depuis combien de temps tu est comme ça, mais au final tu vas te retrouver avec une debian experimental !

Sur ma lenny, voila mon sources.list :

Code:

deb     http://ftp.debian.org/debian lenny main contrib non-free
deb-src http://ftp.debian.org/debian lenny main contrib non-free

deb http://security.debian.org/ lenny/updates main contrib non-free

deb http://depot.jeuxlinux.fr/ ./

# libwxbase2.8 & libwxgtk2.8
#deb http://fr.archive.ubuntu.com/ubuntu/ gutsy main universe

la dernière ligne devrait te plaire big_smile


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

Pied de page des forums

Propulsé par FluxBB
Traduction par FluxBB.fr